| OpenCV 3.4.8 Open Source Computer Vision

Instance Methods | Protected Attributes | Properties | List of all members
CvAbstractCamera Class Reference
Video I/O » iOS glue for video I/O

`#import <opencv2/videoio/cap_ios.h>`

Inheritance diagram for CvAbstractCamera:

## Instance Methods
(start) | - CV_UNUSED
(unlockBalance) | - CV_UNUSED
(lockBalance) | - CV_UNUSED
(unlockExposure) | - CV_UNUSED
(lockExposure) | - CV_UNUSED
(unlockFocus) | - CV_UNUSED
(stop) | - CV_UNUSED
(updateOrientation) | - CV_UNUSED
(createVideoPreviewLayer) | - CV_UNUSED
(createCaptureOutput) | - CV_UNUSED
(lockFocus) | - CV_UNUSED
(switchCameras) | - CV_UNUSED
(id) | - initWithParentView:

## Protected Attributes
BOOL | cameraAvailable
UIDeviceOrientation | currentDeviceOrientation

## Properties
AVCaptureSession * | captureSession
BOOL | captureSessionLoaded
AVCaptureVideoPreviewLayer * | captureVideoPreviewLayer
AVCaptureDevicePosition | defaultAVCaptureDevicePosition
NSString *const | defaultAVCaptureSessionPreset
AVCaptureVideoOrientation | defaultAVCaptureVideoOrientation
int | defaultFPS
int | imageHeight
int | imageWidth
UIView * | parentView
BOOL | running
BOOL | useAVCaptureVideoPreviewLayer
AVCaptureConnection * | videoCaptureConnection

## Method Documentation

## § CV_UNUSED() [1/12]

- (start) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § CV_UNUSED() [2/12]

- (unlockBalance) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § CV_UNUSED() [3/12]

- (lockBalance) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § CV_UNUSED() [4/12]

- (unlockExposure) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § CV_UNUSED() [5/12]

- (lockExposure) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § CV_UNUSED() [6/12]

- (unlockFocus) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § CV_UNUSED() [7/12]

- (stop) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § CV_UNUSED() [8/12]

- (updateOrientation) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § CV_UNUSED() [9/12]

- (createVideoPreviewLayer) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § CV_UNUSED() [10/12]

- (createCaptureOutput) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § CV_UNUSED() [11/12]

- (lockFocus) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § CV_UNUSED() [12/12]

- (switchCameras) CV_UNUSED |  |  |

Implemented in CvPhotoCamera, CvVideoCamera, and CvVideoCamera.

## § initWithParentView:()

- (id) initWithParentView: |  | (UIView *) | parent |

## Member Data Documentation

## § cameraAvailable

- (BOOL) cameraAvailable
| protected

## § currentDeviceOrientation

- (UIDeviceOrientation) currentDeviceOrientation
| protected

## Property Documentation

## § captureSession

- (AVCaptureSession*) captureSession
| read write nonatomic strong

## § captureSessionLoaded

- (BOOL) captureSessionLoaded
| read nonatomic assign

## § captureVideoPreviewLayer

- (AVCaptureVideoPreviewLayer*) captureVideoPreviewLayer
| read nonatomic assign

## § defaultAVCaptureDevicePosition

- (AVCaptureDevicePosition) defaultAVCaptureDevicePosition
| read write nonatomic assign

## § defaultAVCaptureSessionPreset

- (NSString* const) defaultAVCaptureSessionPreset
| read write nonatomic strong

## § defaultAVCaptureVideoOrientation

- (AVCaptureVideoOrientation) defaultAVCaptureVideoOrientation
| read write nonatomic assign

## § defaultFPS

- (int) defaultFPS
| read write nonatomic assign

## § imageHeight

- (int) imageHeight
| read write nonatomic assign

## § imageWidth

- (int) imageWidth
| read write nonatomic assign

## § parentView

- (UIView*) parentView
| read write nonatomic strong

## § running

- (BOOL) running
| read nonatomic assign

## § useAVCaptureVideoPreviewLayer

- (BOOL) useAVCaptureVideoPreviewLayer
| read write nonatomic assign

## § videoCaptureConnection

- (AVCaptureConnection*) videoCaptureConnection
| read write nonatomic strong

The documentation for this class was generated from the following file:

- opencv2/videoio/cap_ios.h